Summary: GNU's bc (a numeric processing language) and dc (a calculator).
Name: bc
Version: 1.06
Release: 13tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/gnu/bc/bc-%{version}.tar.gz
Patch: bc-1.06-readline.patch
Prereq: grep
Buildroot: /var/tmp/%{name}-root

%description
The bc package includes bc and dc.  Bc is an arbitrary precision numeric
processing arithmetic language.  Dc is an interactive arbitrary precision
stack based calculator, which can be used as a text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%prep
%setup -q
%patch -p1


%build
# CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-readline
%configure --with-readline
make LDFLAGS=-s

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/{%{_mandir},%{_prefix}/bin}

make prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	bindir=$RPM_BUILD_ROOT%{_prefix}/bin install

strip $RPM_BUILD_ROOT/usr/bin/dc $RPM_BUILD_ROOT/usr/bin/bc

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/bin/dc
/usr/bin/bc
/usr/share/man/man1/bc.1*
/usr/share/man/man1/dc.1*

%changelog
* Thu Apr 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.06-12tr
- Rebuilt against new readline

* Tue Mar 15 2005 bipin S <bipin at comodo dot com> 1.06-11tr
- Rebuilt.

* Thu Mar 10 2005 Erlend Midttun <erlendbm at trustix dot org> 1.06-10tr
- Rebuilt.

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 1.06-7tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.06-6tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.06-6em
- Rebuilt against glibc 2.3.2.

* Tue Jul 23 2002 Christian H. Toldnes <christht at trustix dot com> 1.06-5ct
- Rebuilt for 2.0
- info removed
- spec cleanup

* Wed Jun 13 2001 Oystein Viggen <oysteivi at trustix dot com>
- Fix build problems with readline

* Fri Mar  3 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 1.06

* Tue Nov 28 2000 Erlend Midttun <erlendbm at trustix dot com>
- Rebuild to fix libraries

* Mon Sep 18 2000 Erlend Midttun <erlendbm at trustix dot com>
- Rebuild to fix libraries

* Tue Mar 21 2000 Erlend Midttun <erlendbm at trustix dot com>
- Moved man pages to comply with FHS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Jan 21 1999 Jeff Johnson <jbj@redhat.com>
- use %configure

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.05a.

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.05 with build root.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Erik Troan <ewt@redhat.com>
- got upgrades of info entry working (I hope)

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- fixed incorrect info entry

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- added install-info support

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.03 to 1.04

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
